StandardBranchCollisionDetector (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class StandardBranchCollisionDetector

    java.lang.Object
      org.neo4j.kernel.StandardBranchCollisionDetector

All Implemented Interfaces:
  BranchCollisionDetector

Direct Known Subclasses:
  ShortestPathsBranchCollisionDetector

    public class StandardBranchCollisionDetector

extends Object
implements BranchCollisionDetector

Constructor Summary
`StandardBranchCollisionDetector(Evaluator evaluator)`

Method Summary
`Collection<Path>` | `evaluate(TraversalBranch branch, Direction direction)` Evaluate the given `branch` coming from either the start side or the end side.
`protected boolean` | `includePath(Path path, TraversalBranch startPath, TraversalBranch endPath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardBranchCollisionDetector

    public StandardBranchCollisionDetector(Evaluator evaluator)

Method Detail

### evaluate

    public Collection<Path> evaluate(TraversalBranch branch,
                                     Direction direction)

  Description copied from interface: `BranchCollisionDetector`
  Evaluate the given `branch` coming from either the start side or the end side. Which side the branch represents is controlled by the `direction` argument, `Direction.OUTGOING` means the start side and `Direction.INCOMING` means the end side. Returns an `Iterable` of new unique `Path`s if this branch resulted in a collision with other previously registered branches, or `null` if this branch didn't result in any collision.

  Specified by:
    `evaluate` in interface `BranchCollisionDetector`
  Parameters:
    `branch` - the `TraversalBranch` to check for collision with other previously registered branches.
    `direction` - `Direction.OUTGOING` if this branch represents a branch from the start side of this bidirectional traversal, or `Direction.INCOMING` for the end side.
  Returns:
    new paths formed if this branch collided with other branches, or `null` if no collision occured.

### includePath

    protected boolean includePath(Path path,
                                  TraversalBranch startPath,
                                  TraversalBranch endPath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.